{% extends 'mainapp/base.html' %}

{% block title %}
    Login
{% endblock %}

{% block content %}
{% if not request.user.is_authenticated %}
<div style='background-color:aliceblue;padding:25px;'>
    <form method='POST'>
        {% csrf_token %}
        <body>
        <div class="container">
            <div style='background-color:aliceblue;padding:25px;'>
                <div class="row">
                    <div class="col-md-5 mx-auto">
                        <div id="first">
                            <div class="form">
                                <div class="logo mb-3">
                                    <div class="col-md-12 text-center">
                                        <h1>Sign up</h1>
                                    </div>
                                </div>
                                <form method="POST" name="login">
                                    {{ form.as_p }}
                                    <div class="col-md-12 text-center ">
                                        <button type="submit" class=" btn btn-block btn-primary tx-tfm">Sign up</button>
                                    </div>
                                    <div class="form-group">
                                        <p class="text-center">Already have account? <a href="{% url 'login' %}">Login here</a></p>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </body>
    </form>
</div>
{% else %}
<div class="logo mb-3">
    <div class="col-md-12 text-center">
        <h1>You have been logged in already and can't sign up</h1>
        <p class="text-center">Do you want to <a href="{% url 'logout' %}">logout</a>?</p>
    </div>
</div>
{% endif %}
{% endblock %}